commit:     00f666d3e6afa728d45973d18da7bfd8f2dc7ecd
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  2 17:00:32 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jul  2 17:11:33 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00f666d3

net-libs/glib-networking: Version bump

Package-Manager: portage-2.3.0_rc1

 net-libs/glib-networking/Manifest                  |  1 +
 .../glib-networking/glib-networking-2.48.2.ebuild  | 78 ++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/net-libs/glib-networking/Manifest 
b/net-libs/glib-networking/Manifest
index 0ce3e5c..0c76f75 100644
--- a/net-libs/glib-networking/Manifest
+++ b/net-libs/glib-networking/Manifest
@@ -1,2 +1,3 @@
 DIST glib-networking-2.44.0.tar.xz 375456 SHA256 
8f8a340d3ba99bfdef38b653da929652ea6640e27969d29f7ac51fbbe11a4346 SHA512 
318d7b7a4beeb21f75da9278bae7016bf78be48f9e2b9365d48246c97d1c6b6f5aba3365ef81f2592fd3cc3d5d16122c245dd3cfede6eaffc3e94113a527e10b
 WHIRLPOOL 
aaee32a45fbccbece1378a0a304b6215862bd1fd69991fbd99f344027693b4040b5acfe6b96f20c9d05d648cc72394dade50a233d61f19195e2f7ced5c4f0292
 DIST glib-networking-2.46.1.tar.xz 378352 SHA256 
d5034214217f705891b6c9e719cc2c583c870bfcfdc454ebbb5e5e8940ac90b1 SHA512 
0d8d1977a3841c73eeaee478ceaf84bbba810818596350afdf218ff4cae4cdfc4a3a814c38481f7e439050f6bcb71b0b06d02afd8ea3e33d390f87f436f17b96
 WHIRLPOOL 
ff448e1a8d57795c1803dfcbf0e082e09ecdd6d37111e703e2e4877af9d0aa51ee70b0fc9ee31b9142f058906e64da40dc42ebd81e8bac635c04a479db5ab926
+DIST glib-networking-2.48.2.tar.xz 392340 SHA256 
925c0c49d6b2b8b5695f2e33cd952d1dbb7d18d3f2f796413577719315bb3a84 SHA512 
e33e2f2af062eaa686bb20cd872f25eca0bbbf9bba072e74049a2996dd66fe1a2000ba991354ed63fc196f3da4d9cfa05cc4ae31cfe08cfaf997cf08a9e2fd84
 WHIRLPOOL 
75a09eb6de135419cfc7a4f2ad3b97a0c3004ba9e8a4f1c64983eda72eb7ce6e9f11d58460ee71dc36c62d0040927d01d9283269626d1647e03e19ffc52fdaa0

diff --git a/net-libs/glib-networking/glib-networking-2.48.2.ebuild 
b/net-libs/glib-networking/glib-networking-2.48.2.ebuild
new file mode 100644
index 0000000..f0818bb
--- /dev/null
+++ b/net-libs/glib-networking/glib-networking-2.48.2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 multilib-minimal virtualx
+
+DESCRIPTION="Network-related giomodules for glib"
+HOMEPAGE="https://git.gnome.org/browse/glib-networking/";
+
+LICENSE="LGPL-2+"
+SLOT="0"
+IUSE="+gnome +libproxy smartcard +ssl test"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+       >=dev-libs/glib-2.46.0:2[${MULTILIB_USEDEP}]
+       gnome? ( gnome-base/gsettings-desktop-schemas )
+       libproxy? ( >=net-libs/libproxy-0.4.11-r1:=[${MULTILIB_USEDEP}] )
+       smartcard? (
+               >=app-crypt/p11-kit-0.18.4[${MULTILIB_USEDEP}]
+               >=net-libs/gnutls-3:=[pkcs11,${MULTILIB_USEDEP}] )
+       ssl? (
+               app-misc/ca-certificates
+               >=net-libs/gnutls-3:=[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+       >=dev-util/intltool-0.35.0
+       sys-devel/gettext
+       >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+       test? ( sys-apps/dbus[X] )
+"
+# eautoreconf needs >=sys-devel/autoconf-2.65:2.5
+
+multilib_src_configure() {
+       ECONF_SOURCE=${S} \
+       gnome2_src_configure \
+               --disable-static \
+               
--with-ca-certificates="${EPREFIX}"/etc/ssl/certs/ca-certificates.crt \
+               $(use_with gnome gnome-proxy) \
+               $(use_with libproxy) \
+               $(use_with smartcard pkcs11) \
+               $(use_with ssl gnutls)
+}
+
+multilib_src_test() {
+       # non-native tests fail if glib-networking is already installed.
+       # have no idea what's wrong. would appreciate some help.
+       multilib_is_native_abi || return 0
+
+       virtx emake check
+}
+
+multilib_src_install() {
+       gnome2_src_install
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+
+       multilib_pkg_postinst() {
+               gnome2_giomodule_cache_update \
+                       || die "Update GIO modules cache failed (for ${ABI})"
+       }
+       multilib_foreach_abi multilib_pkg_postinst
+}
+
+pkg_postrm() {
+       gnome2_pkg_postrm
+
+       multilib_pkg_postrm() {
+               gnome2_giomodule_cache_update \
+                       || die "Update GIO modules cache failed (for ${ABI})"
+       }
+       multilib_foreach_abi multilib_pkg_postrm
+}

Reply via email to